
/* BARS.H  written by Wayne Pearson
   This Small C header file uses the ROM BIOS to make bars on the CRT.
   hbar() draws a horizontal bar.
   vbar() draws a verticle bar.
   Valid function calls:
                         hbar(0,10,20); bar starts at row 0 column 10
                                        The bar is 20 characters long.

                         vbar(0,10,20); bar top is at row 0 column 10
                                        The bar is 20 characters tall.
*/

hbar(h_y,h_x,h_len)
                      int h_y, h_x, h_len;
                   {
                      int10(6,0,112,0,h_y,h_x,h_y,h_x+h_len);
                    }

vbar(v_y,v_x,v_len)
                      int v_y, v_x, v_len;
                   {
                      int10(6,0,112,0,v_y,v_x,v_y+v_len,v_x);
                    }


