
/* MODE.H  written by Wayne Pearson
           This Small-c:PC header file handles video modes and attributes.
           setmode() sets the video mode
           findmode() finds the current video mode
           color() sets the text and background colors
           vblock() sets attributes for a video block
*/

setmode(mode_)
                    int mode_;
                {
                    int10(0,mode_,0,0,0,0,0,0);
                }

findmode(_mode)
                    int *_mode;
                {
                    int n_cols, n_mode, n_page; n_cols = 15; n_page = 0;
                    int10(n_cols,n_mode,n_page,0,0,0,0,0);
                    _mode = n_mode;
                }

color(color_)
                    int color_;
                {
                    int10(6,0,color_,0,0,0,24,79);
                    int10(2,0,0,0,0,0,0,0);
                }

vblock(_attr,y_top_,x_top_,y_bot_,x_bot_)
                    int _attr,y_top_,x_top_,y_bot_,x_bot_;
                {
                    int10(6,0,_attr,0,y_top_,x_top_,y_bot_,x_bot_);
                }

