
/* NOT.H  written by Wayne Pearson
   not() returns the Boolean NOT value of the integer passed to it.
   This is not a byte-wise function; if the value 1 is passed, the
   value 0 is returned, rather than 254.
   Valid function call:  y = not(x,y);
                         y is the Boolean NOT of x.  y is returned.
   A dummy y value must be passed initially.
*/

not(not_not,not_)
                   int not_not, *not_;
                 {
                   if(not_not >127) { not_ = 255 - not_not; return; }
                   if(not_not >63) { not_ = 127 - not_not; return; }
                   if(not_not >31) { not_ = 63 - not_not; return; }
                   if(not_not >15) { not_ = 31 - not_not; return; }
                   if(not_not >7) { not_ = 15 - not_not; return; }
                   if(not_not >3) { not_ = 7 - not_not; return; }
                   if(not_not >1) { not_ = 3 - not_not; return; }
                   if(not_not ==1) { not_ = 0; return; }
                   not_ = 1;
                 }




