
/*
   PUTRCHAR.H  written by Wayne Pearson
   This Small C header file uses the ROM BIOS to display a
   character , putrchar(), or a string,putrs() in reverse video
   and then advance the cursor, like putchar() and puts() do.
   int10(ah,al,bh,bl,ch,cl,dh,dl)  is a function in CPCLIB.
*/

putrchar(r_char)
                int r_char;
              {
                int10(9,r_char,0,112,0,1,0,0);
                #asm
                     MOV  AH,3
                     MOV  CH,0
                     MOV  CL,24
                     INT  10H    ;find cursor location
                     MOV  AH,2
                     ADD  DL,1   ;increment column coordinate
                     INT  10H    ;advance the cursor position
                #endasm
              }

putrs(strng_nm)
                 char strng_nm[];
               {
                 int str_cnt; char str_done; str_done = 'a'; str_cnt = 0;
                 while(str_done != 0)
                                      {
                                        str_done = strng_nm[str_cnt];
                                        putrchar(str_done);  ++str_cnt;
                                      }
               }





